package de.lmu.mobilehci.locationaudio;

import java.io.Serializable;



public class SoundInfo implements Serializable {

	private static final long serialVersionUID = 1L;
	
	// constants for XML parsing
	public final static int STARTED_DESCRIPTION = 1;
	public final static int STARTED_PLAYBACK_LENGTH = 2;
	public final static int STARTED_CREATION_DATE = 3;
	public final static int STARTED_LAST_PLAYED_DATE = 4;
	public final static int STARTED_NUMBER_OF_PLAYBACKS = 5;
	public final static int STARTED_PATH = 6;

	public int poiId;
	public int soundId;
	public String description;
	public int playbackLength; // duration in seconds
	public String creationDate;
	public String lastPlayedDate;
	public int numberOfPlaybacks;
	public String path;

	public String toString() {
		return "[POI: poiId = " + poiId + ", soundId = " + soundId + ", description = " + description + 
			", playbackLength = " + playbackLength + ", creationDate = " + creationDate + ", lastPlayedDate = " + lastPlayedDate + 
			", numberOfPlaybacks = " + numberOfPlaybacks + ", path = " + path + "]";
	}
	
}
