 package de.lmu.mobilehci.locationaudio;

import java.io.IOException;
import java.util.Vector;

import android.app.Activity;
import android.app.ListActivity;
import android.content.Intent;
import android.media.MediaPlayer;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.ListView;
import android.widget.TextView;

public class SoundPlayerActivity extends ListActivity {

	private MediaPlayer mediaPlayer = null;
	
	// der aktuelle point of interest
	private PointOfInterest poi = null;
	
	// eine Liste aus SoundInfo-Objekten, die vom Server abgefragt werden kann
	private Vector<SoundInfo> sounds = null;

	TextView nameView = null;
	TextView tagView = null;

	
	
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
	}
	
	
	
	protected void onResume() {
		super.onResume();
		
	}

	
	
	protected void updateList() {	
	// Hinweis: verwenden Sie:	sounds = SoundSquareActivity.server.getSounds(poi);
	// um eine Liste von SoundIDs zur gegebenen POI ber den Server zu erhalten
    // Fllen Sie anschlieend einen ArrayAdapter, um die Liste anzuzeigen:
	// ArrayAdapter<String> adapter = new ArrayAdapter<String>(this, android.R.layout.simple_list_item_1, (String) <meine soundbeschreibung>);
	// setListAdapter(adapter);
			
	}

	
	
	protected void onPause() {
		super.onPause();
		killMediaPlayer();
	}

	
	

	public void onListItemClick(ListView parent, View v, int position, long id) {
	
	}

	
	
	private void playSound(String path) {
		Log.d("SoundSquare", "playSound, url = " + path);
		killMediaPlayer();
		if (path != null) {
			path = Server.SERVER_URL + path;
			try {
				mediaPlayer = new MediaPlayer();
				mediaPlayer.setDataSource(path);
				mediaPlayer.prepare();
			} catch (IOException ex) {
				Log.d("LocationAudio", "playSound: " + ex.toString());
			}
		}
		mediaPlayer.start();
	}
	
	
	
	private void killMediaPlayer() {
		if (mediaPlayer != null) {
			mediaPlayer.stop();
			mediaPlayer.release();
			mediaPlayer = null;
		}
	}

	
	
	



}
